class CreateMaps < ActiveRecord::Migration
  def self.up
    create_table :maps do |t|
      t.string :name, :null => false
      t.integer :points, :default => 0

      t.timestamps
    end

    add_index :maps, [:name]
    add_index :maps, [:points]
  end

  def self.down
    remove_index :maps, [:name]
    remove_index :maps, [:points]
    drop_table :maps
  end
end
